/*  SERIAL_ISR.H   SwissBetty: Unit fr den V24-Anschlu im LPC2220 */

#ifndef _SERIAL_ISR_INCLUDED
#define _SERIAL_ISR_INCLUDED

#include "setup.h"

#define v24bufsize 256         				/* immer 2er Potenz */
extern char V24puffer[v24bufsize];			/* Sendepuffer */
extern volatile int v24sin;					/* Index im Sendepuffer */
extern volatile int v24sout;				/* Index im Sendepuffer */

#if defined (GCC)
extern void __attribute__ ((interrupt("IRQ"))) Uart0TxService (void);
#else
extern void __irq Uart0TxService (void);
#endif

#endif
